Manifiesto

Nosotros exploramos... y ustedes nos llaman criminales. Nosotros buscamos ampliar nuestro conocimiento... y ustedes nos llaman criminales. Nosotros existimos sin color de piel, sin nacionalidad, sin prejuicios religiosos... y ustedes nos llaman criminales. Ustedes construyen bombas atómicas, hacen la guerra, asesinan, engañan, y nos mienten y tratan de hacernos creer que es por nuestro bien, ahora nosotros somos los criminales.

Fragmento de "La Conciencia de un Hacker"

19 jun. 2011

nueva versión: megambasup 0.1.9 Upload files to megaupload



De nueva cuenta he mejorado la aplicación megambasup.
Ahora el Filemanager permite ordenar los archivos de nuestra cuenta MU por nombre, tamaño, número de descargas y fecha de súbida.
Otra mejora es la capacidad de guardar la información entregada por el Filemanager en una hoja de cálculo, en un fichero *.ods.
Y también fueron agregadas unas etiquetas que muestran el total de ficheros que tenemos, el total de descargas y nuestros reward points.

Espero que les sea de utilidad. :)


INSTALADOR (DEB): megambasup_0.1.9.deb
FUENTES (SOURCES): megambasup-0.1.9.tar.gz

9 comentarios:

  1. buenas. está en gambas3? o en gambas2...


    saludos

    ResponderEliminar
  2. Está en gambas2. Pero como están liberadas también las fuentes, gambas3 puede convertirlas, sólo es necesario cambiarle manualmente unas cuantas cosillas.

    Saludos!

    ResponderEliminar
  3. y sabrias que cosas hay que cambiar? yo de gambas/X nidea :S

    saludos

    ResponderEliminar
  4. ¬¬'

    Creo que ni hizo falta cambiarle nada, sólo lo abres con el entorno de desarrollo de gambas3 y éste en automático te lo convierte.

    Pero por si las dudas, te paso las fuentes en gambas3. megambasup-0.1.9-gb3.tar.gz.

    Saludos!

    ResponderEliminar
  5. buenas. desde el gambas 3 funciona. pero al darle a compilar y empaquetarlo para mi distro (archlinux) me sale este error al ejecutarle:


    sl1pkn07@sL1pKn07 megambasup-1.9-gb3 $ megambasup
    ERROR: #2: Cannot load class 'FApp': Unable to load class file


    sabes por que puede ser?

    abri el proyecto con el gambas3, le di a compilar todo, le di a crear paquete para la distribucion, elegí archlinux y le di todo a siguente

    saludos

    ResponderEliminar
  6. No soy usuario Arch.
    No serán problemas de permisos?¿ a lo mejor le falta permisos de ejecución.
    Ya intentaste ejecutar el binario resultante de la compilación en vez del instalado? osease que desde el directorio megambasup-1.9-gb3 ejecutes:

    sl1pkn07@sL1pKn07 megambasup-1.9-gb3 $ ./megambasup

    (importante el ./)

    Saludos!

    ResponderEliminar
  7. sl1pkn07@sL1pKn07 megambasup $ ls
    total 152
    drwx------ 8 sl1pkn07 sl1pkn07 4096 nov 2 17:20 .
    drwxr-xr-x 4 sl1pkn07 sl1pkn07 4096 nov 2 17:11 ..
    drwxr-xr-x 2 sl1pkn07 sl1pkn07 4096 nov 2 16:57 .action
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 653 nov 2 16:57 CHANGELOG
    drwx------ 2 sl1pkn07 sl1pkn07 4096 nov 2 16:57 Data
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 33 nov 2 17:09 .directory
    drwxr-xr-x 2 sl1pkn07 sl1pkn07 4096 nov 2 17:10 .gambas
    drwxr-xr-x 2 sl1pkn07 sl1pkn07 4096 nov 2 16:58 .hidden
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 4573 nov 2 17:09 .icon.png
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 79038 nov 2 17:10 megambasup.gambas
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 5676 nov 2 16:57 megambasup.png
    drwx------ 2 sl1pkn07 sl1pkn07 4096 nov 2 16:57 Pictures
    -rw-r--r-- 1 sl1pkn07 sl1pkn07 700 nov 2 17:10 .project
    -rw-r--r-- 1 sl1pkn07 sl1pkn07 667 nov 2 17:10 .project~
    -rwxr-xr-x 1 sl1pkn07 sl1pkn07 432 nov 2 17:20 .settings
    drwxr-xr-x 2 sl1pkn07 sl1pkn07 4096 nov 2 16:57 .src
    -rw-r--r-- 1 sl1pkn07 sl1pkn07 90 nov 2 17:10 .startup


    desde el megambasub.gambas funciona

    aun así me da errores en consola como:

    (megambasup.gambas:20179): Gtk-CRITICAL **: IA__gtk_widget_get_parent: assertion `GTK_IS_WIDGET (widget)' failed

    y el instalado en el sistema tiene bien los permisos


    sl1pkn07@sL1pKn07 ~ $ ls /usr/bin/megambasup
    -rwxr-xr-x 1 root root 26180 nov 2 17:10 /usr/bin/megambasup

    pero ese no hay forma de ejecutarlo (error descrito arriba)

    saludos y hago una pequeña petición. es muy complicado portarlo a Qt?, aunque sea usando gambas(3), por que al ser GTK desentona un poco con mi sistema (Kde), aun poniendo oxygen-gtk/kde4-gtk

    ResponderEliminar
  8. Bueno, al parecer el compilado funciona bien, usa ese, si quieres remplaza el que tienes instalado por ese

    megambasup-1.9-gb3 # cp megambasup.gambas /usr/bin/megambasup

    Las advertencias que te tira el terminal son normales, a mi me pasa también.

    Para usar Qt en vez de GTK cambia los componentes en el proyecto gambas3 y compila de nuevo.

    Saludos!

    ResponderEliminar

Hey you!
Deja un comentario! va?!